%define	name	socat
%define version 2.0.0
%define beta    b7
%define release %mkrel 0.%{beta}.1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Multipurpose relay
License:	GPLv2
Group:		Networking/Remote access
Url:		http://www.dest-unreach.org/socat
Source0:	http://www.dest-unreach.org/socat/download/%{name}-%{version}-%{beta}.tar.gz
BuildRequires:	openssl-devel
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	tcp_wrappers-devel
BuildRequires:	yodl

%description
socat is a relay for bidirectional data transfer between two independent data
channels. Each of these data channels may be a file, pipe, device (serial line
etc. or a pseudo terminal), a socket (UNIX, IP4, IP6 - raw, UDP, TCP), an
SSL socket, proxy CONNECT connection, a file descriptor (stdin etc.), the GNU
line editor (readline), a program, or a combination of two of these.

%prep
%setup -q -n %{name}-%{version}-%{beta}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%doc README
%{_bindir}/%{name}
%{_bindir}/filan
%{_bindir}/procan
%{_mandir}/man1/*



%changelog
* Wed Jan 29 2014 luigiwalser <luigiwalser> 2.0.0-0.b7.1.mga3
+ Revision: 568527
- 2.0.0-b7 (fixes CVE-2014-0019)
- 2.0.0-b6 (fixes CVE-2013-3571)

* Mon Jan 14 2013 umeabot <umeabot> 2.0.0-0.b5.2.mga3
+ Revision: 382282
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue May 29 2012 guillomovitch <guillomovitch> 2.0.0-0.b5.1.mga3
+ Revision: 249204
- new version
- new version

* Tue Dec 06 2011 guillomovitch <guillomovitch> 1.7.2.0-1.mga2
+ Revision: 177343
- new version

* Sun Mar 20 2011 boklm <boklm> 1.7.1.3-2.mga1
+ Revision: 74613
- imported package socat

